# xarray.plot.step

`xarray.plot.``step`(darray, *args, where='pre', linestyle=None, ls=None, **kwargs)

  Step plot of DataArray index against values

  Similar to `matplotlib:matplotlib.pyplot.step()`

  Parameters:

  - where ({'pre', 'post', 'mid'}, optional, default 'pre') –

    Define where the steps should be placed:

    - ’pre’: The y value is continued constantly to the left from every x position, i.e. the interval `(x[i-1], x[i]]` has the value `y[i]`.
    - ’post’: The y value is continued constantly to the right from every x position, i.e. the interval `[x[i], x[i+1])` has the value `y[i]`.
    - ’mid’: Steps occur half-way between the x positions.

    Note that this parameter is ignored if one coordinate consists of `pandas.Interval()` values, e.g. as a result of `xarray.Dataset.groupby_bins()`. In this case, the actual boundaries of the interval are used.

  - **kwargs (*args,) – Additional arguments following `xarray.plot.line()`